package com.gic.haoban.manage.service.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.UniqueIdUtils;
import com.gic.haoban.manage.api.dto.ExternalMemberLogDTO;
import com.gic.haoban.manage.service.dao.mapper.ExternalMemberLogMapper;
import com.gic.haoban.manage.service.entity.TabExternalMemberLog;
import com.gic.haoban.manage.service.service.ExternalMemberService;

@Service
public class ExternalMemberServiceImpl implements ExternalMemberService {

    @Autowired
    private ExternalMemberLogMapper externalMemberLogMapper;

    @Override
    public int insert(ExternalMemberLogDTO log) {
        TabExternalMemberLog entity = EntityUtil.changeEntity(TabExternalMemberLog.class, log);
        TabExternalMemberLog old = this.externalMemberLogMapper.selectRelationKey(log.getEnterpriseId(),
                log.getRelationKey());
        if (null != old) {
            return 0;
        }
        entity.setLogId(UniqueIdUtils.uniqueLong());
        this.externalMemberLogMapper.insert(entity);
        return 0;
    }

    public int updateStatus(String enterpriseId, long id, int statusFlag) {
        return this.externalMemberLogMapper.updateStatus(enterpriseId, id, statusFlag);
    }

    @Override
    public TabExternalMemberLog selectRelationKey(String enterpriseId, String relationKey) {
        TabExternalMemberLog log = this.externalMemberLogMapper.selectRelationKey(enterpriseId, relationKey);
        return log;
    }

}
